Subject: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: martin rudalics <[email-masked]>
Date: Mon, 9 Jan 2023 11:09:25 +0100

> As I just said in bug#60585, the bug seems to be specific to that
 > window manager (or at least to a few window managers), and disabling
 > scroll-bars or setting frame-resize-pixelwise to t fixes that problem.

I'm quite sure that even with scroll bars disabled the problem can
happen.  'frame-resize-pixelwise' OTOH means that size increments can be
ignored by the WM so that should fix the problem indeed.

 > OTOH, what gijsbers says does not seem unreasonable to me (but I'm not
 > at all an ICCCM expert), and I see here
 >
 > https://specifications.freedesktop.org/wm-spec/wm-spec-latest.html
 >
 > that "Window Managers can identify a non-resizable window because its
 > minimum and maximum size in WM_NORMAL_HINTS will be the same." and
 > that "Windows can indicate that they are non-resizable by setting
 > minheight = maxheight and minwidth = maxwidth in the ICCCM
 > WM_NORMAL_HINTS property."

Right.  But we eventually do want to resize that frame later and as soon
as the new character sizes make it to the size hints we see the effect.

martin